
#include "main.h"

//--------------------------------------------------
//	Ausgabe des vordefinierten Mens
//--------------------------------------------------
void Ausgabe(char button[ANZB], int menuptr[ANZB])
{
	system("cls");
	printf("\n\n\t*****************************************************************\n");
	printf("\t*\t\t       -Mainmenu Mapwork- \t\t\t*\n");
	printf("\t*****************************************************************\n");
	printf("\t*\t\t\t\t\t\t\t\t*\n");
	printf("\t*\t\t\t\t\t\t\t\t*\n");
	printf("\t*\t 1. Compile karte.bmp and mapz.bmp\t[%c] %c\t\t*\n",button[0],menuptr[0]);
	printf("\t*\t 2. Extract karte_xxl.bmp\t\t[%c] %c\t\t*\n"		,button[1],menuptr[1]);
	printf("\t*\t 3. Extract mapz_xxl.bmp\t\t[%c] %c\t\t*\n"		,button[2],menuptr[2]);
	printf("\t*\t 4. Verify comparing map0-mapz\t\t[%c] %c\t\t*\n"	,button[3],menuptr[3]);
	printf("\t*\t 5. Verify addpatch\t\t\t[%c] %c\t\t*\n"			,button[4],menuptr[4]);
	printf("\t*\t\t\t\t\t\t\t\t*\n");
	printf("\t*\t\t\t\t\t\t\t\t*\n");
	printf("\t*****************************************************************\n");
	printf("\t*   Version: 5\t\t\t\t\t\t\t*\n" );
	printf("\t*   Control:\t\t\t\t\t\t\t*\n");
	printf("\t*   %c Arrow Keys\t\t\t\t\t\t*\n",25); 
	printf("\t*   Space to choose, Return to start, Esc to exit\t\t*\n");
	printf("\t*****************************************************************\n");
}//Ausgabe



//--------------------------------------------------
//	Auswahlausweertung
//--------------------------------------------------
void subMains(char buttons[5])
{
	if(buttons[0]=='x')bmp2map();
	if(buttons[1]=='x')map2karte();
	if(buttons[2]=='x'){
		system("cls");
		printf("---------------------------------------\n");
		getConfig();
		ReadMUL();
		printf("---------------------------------------\n");
		WriteBMP("bmp\\mapz_xxl.bmp",0);
		printf("Done\n");
	}


}



//--------------------------------------------------
//	Erzeugt ein Delay fr sec-Sekunden
//--------------------------------------------------
void delay(double sec)
{
time_t t1,t2;

	time(&t1);
	time(&t2);

	while(difftime(t2,t1)<sec)
		time(&t2);
}



//--------------------------------------------------
//	Menausgabe und Tastenfunkionen
//--------------------------------------------------
int main()
{
char buttons[ANZB+1];												// Array +1 wegen Stackfehlern (\0)
int menuptr[ANZB+1];												// Array +1 wegen Stackfehlern (\0)
int chr,i;

	SetConsoleTitle("UOTC - Support ber www.uodev.de");			// Konsolentitel setzen

	memset(menuptr,0,ANZB*4);
	memset(buttons,' ',ANZB*4);

	menuptr[0]=27;													// Symbol Zeiger auf erste Auswahl
	Ausgabe(buttons, menuptr);
	i=0;

	while(chr=getch()){
		switch(chr){
			case 224	: {menuptr[i]=0; menuptr[++i]=27; break;}	// Pfeiltasten
			case 32		: {if(buttons[i]==' ')buttons[i]='x';		// Space
						   else buttons[i]=' '; 
						   Ausgabe(buttons, menuptr); break;}
			case 27		:  exit(1);									// ESC
			case 13		: {subMains(buttons); 
				exit(0);}			// Return/Enter - Aufruf Submenu
			default		: {if(i>ANZB-1)menuptr[i=0]=27;				// Symbol Zeiger wieder auf ersten Punkt
						   Ausgabe(buttons, menuptr); break;}
		}
	}
	return 0;
}//Main

